Bug 1556657 (CVE-2018-1080)

Summary: CVE-2018-1080 pki-core: Mishandled ACL configuration in AAclAuthz.java reverses rules that allow and deny access
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alee, dsirrine, edewata, ftweedal, jswensso, kseifried, kwright, mharmsen, rhcs-maint, sfowler
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180315,reported=20180315,source=redhat,cvss3=7.5/CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H,cwe=CWE-284,fedora-all/pki-core=affected,rhel-6/pki-core=wontfix,rhel-7/pki-core=affected,rhel-8/pki-core=notaffected,certificate_system_9/pki-core=affected/impact=low
Fixed In Version: PKI 10.6.1 Doc Type: If docs needed, set a value
Doc Text:
Dogtag PKI, through version 10.6.1, has a vulnerability in AAclAuthz.java that, under certain configurations, causes the application of ACL allow and deny rules to be reversed. If a server is configured to process allow rules before deny rules (authz.evaluateOrder=allow,deny), then allow rules will deny access and deny rules will grant access. This may result in an escalation of privileges or have other unintended consequences.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-30 00:02:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1556658, 1556660, 1558108, 1580527, 1589307    
Bug Blocks: 1556659    

Description Sam Fowler 2018-03-15 01:28:47 UTC
Dogtag PKI through version 10.5.1 has a vulnerability in AAclAuthz.java that, under certain configuration, causes the application of ACL allow and deny rules to be reversed. If a server is configured to process allow rules before deny rules (authz.evaluateOrder=allow,deny), then allow rules will deny access and deny rules will grant access.

Comment 1 Sam Fowler 2018-03-15 01:29:14 UTC
Created pki-core tracking bugs for this issue:

Affects: fedora-all [bug 1556658]

Comment 2 Sam Fowler 2018-03-15 01:33:55 UTC
Acknowledgments:

Name: Fraser Tweedale (Red Hat)

Comment 6 Fraser Tweedale 2018-03-20 01:50:13 UTC
Gerrit review: https://review.gerrithub.io/#/c/404435/

Comment 7 Fraser Tweedale 2018-04-14 04:02:16 UTC
Fix merged to upstream master: b54975f4cac60e2f4332b08414f1b5ea4de62601

Comment 8 Andrej Nemec 2018-05-14 15:24:27 UTC
Statement:

This issue affects the versions of pkicore as shipped with Red Hat Certificate System 9. Red Hat Product Security has rated this issue as having security impact of Low. Please also note that all instances of "authz.evaluateOrder" are set to "deny,allow" by default. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 11 Scott Gayou 2018-05-29 20:11:10 UTC
This looks to be fixed in 10.6.1 as opposed to 10.5.1.

Comment 12 errata-xmlrpc 2018-06-26 16:47:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1979 https://access.redhat.com/errata/RHSA-2018:1979

Comment 13 Matthew Harmsen 2018-10-29 18:45:51 UTC
Kurt and Sam,

I have closed current version the associated bug:
* https://bugzilla.redhat.com/show_bug.cgi?id=1558108

Please feel free to close this one accordingly.

Thanks,
-- MAtt